xmonad-contrib-0.11.3: Third party extensions for xmonad

Copyright | (c) Brent Yorgey
License | BSD-style (see LICENSE)
Maintainer | <byorgey@gmail.com>
Stability | unstable
Portability | portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Spacing

Contents

- Usage

Description

Add a configurable amount of space around windows.

Synopsis

- spacing :: Int -> l a -> ModifiedLayout Spacing l a
- data Spacing a
- smartSpacing :: Int -> l a -> ModifiedLayout SmartSpacing l a
- data SmartSpacing a

# Usage

You can use this module by importing it into your `~/.xmonad/xmonad.hs` file:

    import XMonad.Layout.Spacing

and modifying your layoutHook as follows (for example):

    layoutHook = spacing 2 $ Tall 1 (3/100) (1/2)
                         -- put a 2px space around every window

spacing :: Int -> l a -> ModifiedLayout Spacing l a

Surround all windows by a certain number of pixels of blank space.

data Spacing a

Instances

LayoutModifier Spacing a |
Read (Spacing a) |
Show (Spacing a) |

smartSpacing :: Int -> l a -> ModifiedLayout SmartSpacing l a

Surrounds all windows with blank space, except when the window is the only visible window on the current workspace.

data SmartSpacing a

Instances

LayoutModifier SmartSpacing a |
Read (SmartSpacing a) |
Show (SmartSpacing a) |